# Uses of Class
org.eclipse.ui.texteditor.spelling.SpellingService

Packages that use SpellingService
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.

## Uses of SpellingService in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return SpellingService
Modifier and Type
Method
Description
`static SpellingService`
EditorsUI.`getSpellingService()`
Returns the spelling service.

## Uses of SpellingService in org.eclipse.ui.texteditor.spelling

Constructors in org.eclipse.ui.texteditor.spelling with parameters of type SpellingService
Modifier
Constructor
Description
``
`SpellingReconcileStrategy(ISourceViewer viewer, SpellingService spellingService)`
Creates a new comment reconcile strategy.